> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Milestone Update

> Returns a milestone update



## OpenAPI

````yaml openapi_2024-03-27 get /milestone/{milestone_id}/update
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /milestone/{milestone_id}/update:
    get:
      tags:
        - Milestones
      summary: Get Milestone Update
      description: Returns a milestone update
      operationId: get_milestone_update_milestone__milestone_id__update_get
      parameters:
        - name: milestone_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Milestone id
            description: ID of the Milestone to be returned
          description: ID of the Milestone to be returned
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Success_Union_MilestoneValidState__MilestoneTimeoutState__
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                        title: Error code
                      message:
                        type: string
                        example: Unknown Milestone id <uuid>
                        title: Error message
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    Success_Union_MilestoneValidState__MilestoneTimeoutState__:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/MilestoneValidState'
            - $ref: '#/components/schemas/MilestoneTimeoutState'
          title: Data
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[Union[MilestoneValidState, MilestoneTimeoutState]]
    MilestoneValidState:
      properties:
        milestone_id:
          type: string
          format: uuid4
          title: Milestone Id
        connection_id:
          type: string
          format: uuid4
          title: Connection Id
        device_id:
          type: string
          format: uuid4
          title: Device Id
        system_device_id:
          type: string
          title: System Device Id
        current_position:
          $ref: '#/components/schemas/RealtimePosition'
        eta:
          type: string
          format: duration
          title: Eta
        distance_to_destination_km:
          type: number
          title: Distance To Destination Km
        last_updated_at:
          type: string
          format: date-time
          title: Last Updated At
      type: object
      required:
        - milestone_id
        - connection_id
        - device_id
        - system_device_id
        - current_position
        - eta
        - distance_to_destination_km
        - last_updated_at
      title: MilestoneValidState
    MilestoneTimeoutState:
      properties:
        milestone_id:
          type: string
          format: uuid4
          title: Milestone Id
        status:
          type: string
          title: Status
      type: object
      required:
        - milestone_id
        - status
      title: MilestoneTimeoutState
    RealtimePosition:
      properties:
        timestamp:
          type: string
          title: Timestamp
        longitude:
          type: number
          title: Longitude
        latitude:
          type: number
          title: Latitude
        heading:
          anyOf:
            - type: number
            - type: 'null'
          title: Heading
        speed:
          anyOf:
            - $ref: '#/components/schemas/Speed'
            - type: 'null'
        driver_id:
          anyOf:
            - $ref: '#/components/schemas/DriverId'
            - type: 'null'
      type: object
      required:
        - timestamp
        - longitude
        - latitude
      title: RealtimePosition
    Speed:
      properties:
        speed_kph:
          anyOf:
            - type: number
            - type: 'null'
          title: Speed Kph
      type: object
      title: Speed
    DriverId:
      properties:
        format:
          $ref: '#/components/schemas/DriverIdFormat'
        value:
          anyOf:
            - type: string
            - additionalProperties: true
              type: object
          title: Value
      type: object
      required:
        - format
        - value
      title: DriverId
    DriverIdFormat:
      type: string
      enum:
        - text
        - map
        - base64
      title: DriverIdFormat
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````